Bug 749109 - [abrt] ibus-1.4.0-2.fc15: g_variant_type_info_check: Process /usr/libexec/ibus-gconf was killed by signal 6 (SIGABRT)
[abrt] ibus-1.4.0-2.fc15: g_variant_type_info_check: Process /usr/libexec/ibu...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:eb73dd5cf765c251a61adeacc76...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 04:29 EDT by mamii
Modified: 2011-12-30 02:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-30 02:03:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mamii 2011-10-26 04:29:28 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-gconf
component:      ibus
crash_function: g_variant_type_info_check
executable:     /usr/libexec/ibus-gconf
kernel:         2.6.40.7-3.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.4.0-2.fc15
reason:         Process /usr/libexec/ibus-gconf was killed by signal 6 (SIGABRT)
reported_to:    file: /tmp/abrt.log
time:           Tue Oct 25 12:01:31 2011
uid:            500
username:       DLEP
var_log_messages: Oct 25 12:01:31 localhostdlep abrt[2171]: saved core dump of pid 2156 (/usr/libexec/ibus-gconf) to /var/spool/abrt/ccpp-2011-10-25-12:01:31-2156.new/coredump (9314304 bytes)

backtrace:
:[New LWP 2156]
:[New LWP 2169]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/ibus-gconf'.
:Program terminated with signal 6, Aborted.
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:16		ret
:
:Thread 2 (Thread 0xb7539b70 (LWP 2169)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:No locals.
:#1  0x4f4d116e in poll () from /lib/libc.so.6
:No symbol table info available.
:#2  0x4f691aac in g_poll (fds=0xb6c00f10, nfds=3, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x4f682c36 in g_main_context_poll (n_fds=3, fds=0x4f59f5d0, priority=<optimized out>, timeout=<optimized out>, context=0x99060f0) at gmain.c:3405
:        poll_func = 0x4f691a80 <g_poll>
:#4  g_main_context_iterate (context=0x99060f0, block=1332288128, dispatch=1, self=0x9906180) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x4f59f5d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x4f683457 in g_main_loop_run (loop=0x99060e0) at gmain.c:3300
:        self = 0x9906180
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x41437032 in gdbus_shared_thread_func (data=0x0) at gdbusprivate.c:276
:No locals.
:#7  0x4f6aa535 in g_thread_create_proxy (data=0x9906180) at gthread.c:1955
:        thread = 0x9906180
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x4f59ca2e in start_thread () from /lib/libpthread.so.0
:No symbol table info available.
:#9  0x4f4db82e in clone () from /lib/libc.so.6
:No symbol table info available.
:
:Thread 1 (Thread 0xb773a930 (LWP 2156)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:No locals.
:#1  0x4f4300ef in raise () from /lib/libc.so.6
:No symbol table info available.
:#2  0x4f431a25 in abort () from /lib/libc.so.6
:No symbol table info available.
:#3  0x4f6a869f in g_assertion_message (domain=0x4f6f1406 "GLib", file=0x4f738d10 "gvarianttypeinfo.c", line=186, func=0x4f738f70 "g_variant_type_info_check", message=<optimized out>) at gtestutils.c:1358
:        lstr = "186\000w\224hOV\033jO(\223uO\254\034jO\323\215\221\t\333\246oO\000\000\000"
:        s = 0x9902ad8 "\020\244XO\020\244XOOR:gvarianttypeinfo.c:186:g_variant_type_info_check: assertion failed: (0 <= index && index < 24)"
:#4  0x4f6a8c30 in g_assertion_message_expr (domain=0x4f6f1406 "GLib", file=0x4f738d10 "gvarianttypeinfo.c", line=186, func=0x4f738f70 "g_variant_type_info_check", expr=0x4f738d23 "0 <= index && index < 24") at gtestutils.c:1369
:        s = <optimized out>
:#5  0x4f6c68d7 in g_variant_type_info_check (info=<optimized out>, container_class=<optimized out>) at gvarianttypeinfo.c:164
:        __PRETTY_FUNCTION__ = "g_variant_type_info_check"
:#6  0x4f6c6a44 in g_variant_type_info_get_type_string (info=0xb6c079a8) at gvarianttypeinfo.c:200
:No locals.
:#7  0x4f6ba498 in g_variant_get_type_string (value=0x9919000) at gvariant.c:1728
:        type_info = <optimized out>
:#8  0x4142bf2a in append_value_to_blob (value=0xb6c01218, type=<optimized out>, mos=0x98ff990 [GMemoryOutputStream], dos=0xb6c039b0 [GDataOutputStream], out_padding_added=0x0, error=0xbfc6c35c) at gdbusmessage.c:2112
:        child = 0x9919000
:        signature = <optimized out>
:        padding_added = 0
:        __PRETTY_FUNCTION__ = "append_value_to_blob"
:#9  0x4142be38 in append_value_to_blob (value=<optimized out>, type=<optimized out>, mos=0x98ff990 [GMemoryOutputStream], dos=0xb6c039b0 [GDataOutputStream], out_padding_added=0xbfc6c158, error=0xbfc6c35c) at gdbusmessage.c:2091
:        item = 0xb6c01218
:        iter = {x = {3066068048, 2, 1, 0, 1333105448, 1332479398, 160532528, 3579507750, 0, 1094364379, 1333105448, 160532632, 3217473816, 1332505156, 3066067344, 1333105448}}
:        padding_added = 0
:        __PRETTY_FUNCTION__ = "append_value_to_blob"
:#10 0x4142bee5 in append_value_to_blob (value=<optimized out>, type=<optimized out>, mos=0x98ff990 [GMemoryOutputStream], dos=0xb6c039b0 [GDataOutputStream], out_padding_added=0x0, error=0xbfc6c35c) at gdbusmessage.c:2049
:        padding_added_for_item = 1
:        n = 2
:        iter = {x = {160532512, 3, 2, 0, 3217473984, 1332468842, 160443240, 3579507750, 3, 0, 1333105448, 3066067200, 3066050992, 1332505156, 3217473984, 1333105448}}
:        array_payload_begin_offset = 16
:        array_len = <optimized out>
:        item = 0xb6c07c50
:        padding_added = 0
:        __PRETTY_FUNCTION__ = "append_value_to_blob"
:#11 0x4142f918 in g_dbus_message_to_blob (message=0xb6c03550 [GDBusMessage], out_size=0xbfc6c2bc, capabilities=G_DBUS_CAPABILITY_FLAGS_UNIX_FD_PASSING, error=0xbfc6c35c) at gdbusmessage.c:2298
:        mos = 0x98ff990 [GMemoryOutputStream]
:        dos = 0xb6c039b0 [GDataOutputStream]
:        ret = 0x0
:        size = <optimized out>
:        byte_order = <optimized out>
:        body_size = <optimized out>
:        header_fields = 0x9918820
:        builder = {x = {0 <repeats 16 times>}}
:        hash_iter = {dummy1 = 0x9912f80, dummy2 = 0xb6c03550, dummy3 = 0x0, dummy4 = 8, dummy5 = 1095414704, dummy6 = 0x3}
:        key = <optimized out>
:        header_value = 0x9919000
:        signature = <optimized out>
:        signature_str = <optimized out>
:        num_fds_in_message = 160532512
:        num_fds_according_to_header = <optimized out>
:        __PRETTY_FUNCTION__ = "g_dbus_message_to_blob"
:#12 0x41423b37 in g_dbus_connection_send_message_unlocked (connection=0x9900810 [GDBusConnection], message=0xb6c03550 [GDBusMessage], flags=G_DBUS_SEND_MESSAGE_FLAGS_NONE, out_serial=0x0, error=0xbfc6c35c) at gdbusconnection.c:1417
:        blob = 0x0
:        blob_size = <optimized out>
:        serial_to_use = <optimized out>
:        ret = 0
:        __PRETTY_FUNCTION__ = "g_dbus_connection_send_message_unlocked"
:#13 0x41426eaf in g_dbus_connection_send_message (connection=0x9900810 [GDBusConnection], message=0xb6c03550 [GDBusMessage], flags=G_DBUS_SEND_MESSAGE_FLAGS_NONE, out_serial=0x0, error=0xbfc6c35c) at gdbusconnection.c:1522
:        ret = <optimized out>
:        __PRETTY_FUNCTION__ = "g_dbus_connection_send_message"
:#14 0x4143d5b6 in g_dbus_method_invocation_return_value (invocation=0xb6c034c0 [GDBusMethodInvocation], parameters=0xb6c01398) at gdbusmethodinvocation.c:405
:        reply = 0xb6c03550 [GDBusMessage]
:        error = 0x0
:        __PRETTY_FUNCTION__ = "g_dbus_method_invocation_return_value"
:#15 0x4fc30507 in ibus_config_service_service_method_call (service=0x98ff8e8 [IBusConfigGConf], connection=0x9900810 [GDBusConnection], sender=0xb6c058a8 "org.freedesktop.DBus", object_path=0xb6c058c8 "/org/freedesktop/IBus/Config", interface_name=0xb6c058f0 "org.freedesktop.IBus.Config", method_name=0xb6c00d70 "GetValue", parameters=0xb6c00ec8, invocation=0xb6c034c0 [GDBusMethodInvocation]) at ibusconfigservice.c:257
:        section = 0x0
:        value = <optimized out>
:        error = 0x9902c88
:        config = 0x98ff8e8 [IBusConfigGConf]
:        __PRETTY_FUNCTION__ = "ibus_config_service_service_method_call"
:#16 0x4fc21b88 in ibus_service_service_method_call_cb (connection=0x9900810 [GDBusConnection], sender=0xb6c058a8 "org.freedesktop.DBus", object_path=0xb6c058c8 "/org/freedesktop/IBus/Config", interface_name=0xb6c058f0 "org.freedesktop.IBus.Config", method_name=0xb6c00d70 "GetValue", parameters=0xb6c00ec8, invocation=0xb6c034c0 [GDBusMethodInvocation], service=0x98ff8e8 [IBusConfigGConf]) at ibusservice.c:395
:No locals.
:#17 0x41426fea in call_in_idle_cb (user_data=0xb6c034c0) at gdbusconnection.c:4445
:        invocation = 0xb6c034c0 [GDBusMethodInvocation]
:        vtable = <optimized out>
:        registration_id = <optimized out>
:        subtree_registration_id = <optimized out>
:        __PRETTY_FUNCTION__ = "call_in_idle_cb"
:#18 0x4f67e5d1 in g_idle_dispatch (source=0xb6c05910, callback=0x41426ed0 <call_in_idle_cb>, user_data=0xb6c034c0) at gmain.c:4558
:No locals.
:#19 0x4f6825bf in g_main_dispatch (context=0xb6c00468) at gmain.c:2441
:        dispatch = 0x4f67e5b0 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0xb6c034c0
:        callback = 0x41426ed0 <call_in_idle_cb>
:        cb_funcs = 0x4f75965c
:        cb_data = 0xb6c00da0
:        current_source_link = {data = 0xb6c05910, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0xb6c05910
:        current = 0x9907250
:        i = <optimized out>
:#20 g_main_context_dispatch (context=0xb6c00468) at gmain.c:3014
:No locals.
:#21 0x4f682d30 in g_main_context_iterate (context=0xb6c00468, block=1332288128, dispatch=1, self=0x98f4728) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x4f59f5d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#22 0x4f683457 in g_main_loop_run (loop=0x98fb108) at gmain.c:3300
:        self = 0x98f4728
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#23 0x4fc203d2 in ibus_main () at ibusshare.c:342
:No locals.
:#24 0x08049933 in ibus_gconf_start () at main.c:42
:No locals.
:#25 main (argc=1, argv=0xbfc6c6a4) at main.c:62
:        error = 0x0
:        context = 0x98f3830
:From        To          Syms Read   Shared Object Library
:0x412c4f10  0x412e2a6c  Yes         /usr/lib/libgconf-2.so.4
:0x4fc1fa50  0x4fc4044c  Yes         /usr/lib/libibus-1.0.so.0
:0x4139cc50  0x4145940c  Yes         /lib/libgio-2.0.so.0
:0x4f8f8fe0  0x4f92c72c  Yes         /lib/libgobject-2.0.so.0
:0x410b6bd0  0x410b7d4c  Yes         /lib/libgmodule-2.0.so.0
:0x4f8ebf30  0x4f8ed70c  Yes         /lib/libgthread-2.0.so.0
:0x4f5df880  0x4f5e33a8  Yes (*)     /lib/librt.so.1
:0x4f653770  0x4f6f13dc  Yes         /lib/libglib-2.0.so.0
:0x4f59a600  0x4f5a5d58  Yes (*)     /lib/libpthread.so.0
:0x4f418d10  0x4f535da4  Yes (*)     /lib/libc.so.6
:0x41271e90  0x412999bc  Yes         /usr/lib/libORBit-2.so.0
:0x4f58fa60  0x4f590a88  Yes (*)     /lib/libdl.so.2
:0x4f8be650  0x4f8ce6b8  Yes (*)     /lib/libresolv.so.2
:0x4f609670  0x4f616aac  Yes         /lib/libz.so.1
:0x4f624490  0x4f635d9c  Yes         /lib/libselinux.so.1
:0x4f3e0850  0x4f3f7ccf  Yes (*)     /lib/ld-linux.so.2
:0x0012ba70  0x00132ea8  Yes (*)     /lib/libnss_files.so.2
:0x0054d490  0x0056918c  Yes         /usr/lib/gio/modules/libgvfsdbus.so
:0x4f762c60  0x4f76e47c  Yes         /usr/lib/libgvfscommon.so.0
:0x4fab3040  0x4faccc7c  Yes         /lib/libexpat.so.1
:0x4fa6a6a0  0x4fa99cfc  Yes         /lib/libdbus-1.so.3
:0x419943b0  0x4199dacc  Yes         /lib/libudev.so.0
:0x4341da20  0x4341e428  Yes (*)     /lib/libutil.so.1
:0x4f5eaf30  0x4f601c48  Yes         /lib/libgcc_s.so.1
:(*): Shared library is missing debugging information.
:$1 = 0x0
:$2 = 0x9902b78 "GLib:ERROR:gvarianttypeinfo.c:186:g_variant_type_info_check: assertion failed: (0 <= index && index < 24)"
:eax            0x0	0
:ecx            0x86c	2156
:edx            0x6	6
:ebx            0x86c	2156
:esp            0xbfc6bcec	0xbfc6bcec
:ebp            0x4f738f70	0x4f738f70
:esi            0x9902ad8	160443096
:edi            0x4f588ff4	1331204084
:eip            0xd6e416	0xd6e416 <__kernel_vsyscall+2>
:eflags         0x206	[ PF IF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __kernel_vsyscall:
:   0x00d6e414 <+0>:	int    $0x80
:=> 0x00d6e416 <+2>:	ret    
:End of assembler dump.

build_ids:
:92afb5e0f050866388c27113284aea858967bee4
:be2ac807704698d9bbe76bb8f050473c37ad4281
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:841a0730c30c9f98cba256b9c5390b9c0cfe19ce
:f607d7dc1d267f943b4245d30dbd192488879077
:43d6e19d8414e4394ab5a2024a0f627d70561040
:6f87ea21308989c674f40d270f35514bbed96401
:177452c458dbd4322d2fb524e0ede4fec9020580
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:b3456c28a680d2f3aa5e578fcb671a0d4f7d093d
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:7cde8206ad97ddf378cc9e6843180535983b0efc
:94c3da1e3566c757f6b87166fb7416db2dff479f
:4709482862f00637bedaf5eeda381d3c6ecf2996
:826bb4d8376c62b913b61301b276adab50e11c5a
:34d715e2766f8694271730798a4b8e1605ec93ea
:819b8b884ec31fc25299c753b39c2f511012e79c
:d9076f89ed72d2d074e95e85274befc26d60b8c6
:faeafbb0d02c603f49b08b159d2331a82a61d208
:55f0338dbb97f9276de6894e9f881baae27cbe56
:23a3ef78efb28044e20e60be6e6db183c2886e92
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:cc05d2ae4317f8f024aa390d7c339ec2a5e745b9
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:6e2f11a6f49ca7b02c712aeb2d548f2aa23621c7
:37b6ae12c782e78ad8450b2cc126c822a538f9df

comment:
:just enter on gnome shell
:i can't enter on gnome shell desktop
:i can't enter on virtualbox 

dso_list:
:/lib/libutil-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/lib/ld-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1307863033
:/lib/libnss_files-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307863028
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1313069459
:/lib/libdl-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1304564157
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307863028
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1304564156
:/lib/libudev.so.0.11.1 libudev-167-6.fc15.i686 (Fedora Project) 1315384225
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307863028
:/usr/lib/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.i686 (Fedora Project) 1304564166
:/lib/libgcc_s-4.6.1-20110908.so.1 libgcc-4.6.1-9.fc15.i686 (Fedora Project) 1315726074
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1307863033
:/lib/libc-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/usr/lib/libibus-1.0.so.0.400.0 ibus-libs-1.4.0-2.fc15.i686 (Fedora Project) 1318143413
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307863028
:/lib/libresolv-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1304564156
:/lib/librt-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/usr/libexec/ibus-gconf ibus-1.4.0-2.fc15.i686 (Fedora Project) 1318143419
:/usr/lib/locale/locale-archive glibc-common-2.14.1-1.i686 (Fedora Project) 1318489613
:/lib/libpthread-2.14.1.so glibc-2.14.1-1.i686 (Fedora Project) 1318489606
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307863028
:/usr/lib/libgconf-2.so.4.1.5 GConf2-2.32.3-1.fc15.i686 (Fedora Project) 1304564194

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-T7oa5mTQKl,guid=f6872eea101341dd5382c39300000025
:XDG_SESSION_COOKIE=62a7f4b34bf81e6b6ef99f130000000a-1319540463.911309-2101570069
:XDG_RUNTIME_DIR=/run/user/DLEP
:DISPLAY=:0
:DESKTOP_SESSION=kde-plasma
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=kde-plasma
:USERNAME=DLEP
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-T7oa5mTQKl,guid=f6872eea101341dd5382c39300000025
:XAUTHORITY=/var/run/gdm/auth-for-DLEP-9iuZy9/database
:USER=DLEP
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1516
:SHLVL=1
:PWD=/home/DLEP
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/tmp/keyring-voztU5
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=DLEP
:HOME=/home/DLEP
:LC_CTYPE=en_US.utf8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=ibus
:XMODIFIERS=@im=ibus

event_log:
:2011-10-26-09:24:21> Analyzing coredump 'coredump'
:2011-10-26-09:24:28  Coredump references 26 debuginfo files, 12 of them are not installed
:2011-10-26-09:24:41  Looking for needed packages in repositories
:2011-10-26-09:24:46  Can't find packages for 8 debuginfo files
:2011-10-26-09:24:46  Packages to download: 3
:2011-10-26-09:24:46  Downloading 2.99Mb, installed size: 13.97Mb
:2011-10-26-09:25:26  Downloading (1 of 3) udev-debuginfo-167-6.fc15.i686.rpm:   0%
:2011-10-26-09:25:29  Downloading (1 of 3) udev-debuginfo-167-6.fc15.i686.rpm: 100%
:2011-10-26-09:25:29  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-10-26-09:24:22.3886/udev-debuginfo-167-6.fc15.i686.rpm
:2011-10-26-09:25:29  Caching files from unpacked.cpio made from udev-debuginfo-167-6.fc15.i686.rpm
:2011-10-26-09:25:41  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  18%
:2011-10-26-09:25:51  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  35%
:2011-10-26-09:26:02  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  47%
:2011-10-26-09:26:12  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  58%
:2011-10-26-09:26:23  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  67%
:2011-10-26-09:26:33  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  82%
:2011-10-26-09:26:43  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  90%
:2011-10-26-09:26:54  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm:  96%
:2011-10-26-09:27:02  Downloading (2 of 3) gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm: 100%
:2011-10-26-09:27:02  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-10-26-09:24:22.3886/gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm
:2011-10-26-09:27:02  Caching files from unpacked.cpio made from gcc-base-debuginfo-4.6.1-9.fc15.i686.rpm
:2011-10-26-09:27:13  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm:   9%
:2011-10-26-09:27:24  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm:  21%
:2011-10-26-09:27:34  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm:  34%
:2011-10-26-09:27:45  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm:  51%
:2011-10-26-09:27:55  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm:  65%
:2011-10-26-09:28:05  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm:  78%
:2011-10-26-09:28:15  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm:  88%
:2011-10-26-09:28:22  Downloading (3 of 3) ibus-debuginfo-1.4.0-2.fc15.i686.rpm: 100%
:2011-10-26-09:28:22  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-10-26-09:24:22.3886/ibus-debuginfo-1.4.0-2.fc15.i686.rpm
:2011-10-26-09:28:22  Caching files from unpacked.cpio made from ibus-debuginfo-1.4.0-2.fc15.i686.rpm
:2011-10-26-09:28:22  Removing /tmp/abrt-tmp-debuginfo-2011-10-26-09:24:22.3886
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/be/2ac807704698d9bbe76bb8f050473c37ad4281.debug
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/81/9b8b884ec31fc25299c753b39c2f511012e79c.debug
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/d9/076f89ed72d2d074e95e85274befc26d60b8c6.debug
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/fa/eafbb0d02c603f49b08b159d2331a82a61d208.debug
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/55/f0338dbb97f9276de6894e9f881baae27cbe56.debug
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/23/a3ef78efb28044e20e60be6e6db183c2886e92.debug
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/cc/05d2ae4317f8f024aa390d7c339ec2a5e745b9.debug
:2011-10-26-09:28:22  Missing debuginfo file: /usr/lib/debug/.build-id/6e/2f11a6f49ca7b02c712aeb2d548f2aa23621c7.debug
:2011-10-26-09:28:23  Backtrace is generated and saved, 11360 bytes
:2011-10-26-09:28:53> The report was appended to /tmp/abrt.log
:2011-10-26-09:28:53> Essential file 'duphash' is missing, can't continue..
:2011-10-26-09:28:53* (exited with 1)

maps:
:0012a000-00135000 r-xp 00000000 08:07 16301      /lib/libnss_files-2.14.1.so
:00135000-00136000 r--p 0000a000 08:07 16301      /lib/libnss_files-2.14.1.so
:00136000-00137000 rw-p 0000b000 08:07 16301      /lib/libnss_files-2.14.1.so
:00547000-00571000 r-xp 00000000 08:07 141425     /usr/lib/gio/modules/libgvfsdbus.so
:00571000-00572000 rw-p 0002a000 08:07 141425     /usr/lib/gio/modules/libgvfsdbus.so
:00d6e000-00d6f000 r-xp 00000000 00:00 0          [vdso]
:08048000-0804b000 r-xp 00000000 08:07 147866     /usr/libexec/ibus-gconf
:0804b000-0804d000 rw-p 00002000 08:07 147866     /usr/libexec/ibus-gconf
:098f3000-09934000 rw-p 00000000 00:00 0          [heap]
:410b6000-410b9000 r-xp 00000000 08:07 6396       /lib/libgmodule-2.0.so.0.2800.8
:410b9000-410ba000 rw-p 00002000 08:07 6396       /lib/libgmodule-2.0.so.0.2800.8
:4125a000-412ad000 r-xp 00000000 08:07 141693     /usr/lib/libORBit-2.so.0.1.0
:412ad000-412b7000 rw-p 00052000 08:07 141693     /usr/lib/libORBit-2.so.0.1.0
:412b9000-412f0000 r-xp 00000000 08:07 166310     /usr/lib/libgconf-2.so.4.1.5
:412f0000-412f3000 rw-p 00036000 08:07 166310     /usr/lib/libgconf-2.so.4.1.5
:4137e000-414a8000 r-xp 00000000 08:07 6407       /lib/libgio-2.0.so.0.2800.8
:414a8000-414ab000 rw-p 00129000 08:07 6407       /lib/libgio-2.0.so.0.2800.8
:414ab000-414ac000 rw-p 00000000 00:00 0 
:41992000-419a1000 r-xp 00000000 08:07 5076       /lib/libudev.so.0.11.1
:419a1000-419a2000 r--p 0000e000 08:07 5076       /lib/libudev.so.0.11.1
:419a2000-419a3000 rw-p 0000f000 08:07 5076       /lib/libudev.so.0.11.1
:4341d000-4341f000 r-xp 00000000 08:07 7157       /lib/libutil-2.14.1.so
:4341f000-43420000 r--p 00001000 08:07 7157       /lib/libutil-2.14.1.so
:43420000-43421000 rw-p 00002000 08:07 7157       /lib/libutil-2.14.1.so
:4f3e0000-4f3fe000 r-xp 00000000 08:07 1855       /lib/ld-2.14.1.so
:4f3fe000-4f3ff000 r--p 0001d000 08:07 1855       /lib/ld-2.14.1.so
:4f3ff000-4f400000 rw-p 0001e000 08:07 1855       /lib/ld-2.14.1.so
:4f402000-4f586000 r-xp 00000000 08:07 2132       /lib/libc-2.14.1.so
:4f586000-4f587000 ---p 00184000 08:07 2132       /lib/libc-2.14.1.so
:4f587000-4f589000 r--p 00184000 08:07 2132       /lib/libc-2.14.1.so
:4f589000-4f58a000 rw-p 00186000 08:07 2132       /lib/libc-2.14.1.so
:4f58a000-4f58d000 rw-p 00000000 00:00 0 
:4f58f000-4f592000 r-xp 00000000 08:07 2164       /lib/libdl-2.14.1.so
:4f592000-4f593000 r--p 00002000 08:07 2164       /lib/libdl-2.14.1.so
:4f593000-4f594000 rw-p 00003000 08:07 2164       /lib/libdl-2.14.1.so
:4f596000-4f5ac000 r-xp 00000000 08:07 2133       /lib/libpthread-2.14.1.so
:4f5ac000-4f5ad000 r--p 00015000 08:07 2133       /lib/libpthread-2.14.1.so
:4f5ad000-4f5ae000 rw-p 00016000 08:07 2133       /lib/libpthread-2.14.1.so
:4f5ae000-4f5b0000 rw-p 00000000 00:00 0 
:4f5de000-4f5e5000 r-xp 00000000 08:07 2139       /lib/librt-2.14.1.so
:4f5e5000-4f5e6000 r--p 00006000 08:07 2139       /lib/librt-2.14.1.so
:4f5e6000-4f5e7000 rw-p 00007000 08:07 2139       /lib/librt-2.14.1.so
:4f5e9000-4f605000 r-xp 00000000 08:07 8764       /lib/libgcc_s-4.6.1-20110908.so.1
:4f605000-4f606000 rw-p 0001b000 08:07 8764       /lib/libgcc_s-4.6.1-20110908.so.1
:4f608000-4f61d000 r-xp 00000000 08:07 6397       /lib/libz.so.1.2.5
:4f61d000-4f61e000 rw-p 00014000 08:07 6397       /lib/libz.so.1.2.5
:4f620000-4f63d000 r-xp 00000000 08:07 4093       /lib/libselinux.so.1
:4f63d000-4f63e000 r--p 0001c000 08:07 4093       /lib/libselinux.so.1
:4f63e000-4f63f000 rw-p 0001d000 08:07 4093       /lib/libselinux.so.1
:4f641000-4f759000 r-xp 00000000 08:07 4085       /lib/libglib-2.0.so.0.2800.8
:4f759000-4f75a000 rw-p 00118000 08:07 4085       /lib/libglib-2.0.so.0.2800.8
:4f75c000-4f772000 r-xp 00000000 08:07 157414     /usr/lib/libgvfscommon.so.0.0.0
:4f772000-4f773000 rw-p 00016000 08:07 157414     /usr/lib/libgvfscommon.so.0.0.0
:4f8bc000-4f8d2000 r-xp 00000000 08:07 3994       /lib/libresolv-2.14.1.so
:4f8d2000-4f8d3000 r--p 00016000 08:07 3994       /lib/libresolv-2.14.1.so
:4f8d3000-4f8d4000 rw-p 00017000 08:07 3994       /lib/libresolv-2.14.1.so
:4f8d4000-4f8d6000 rw-p 00000000 00:00 0 
:4f8eb000-4f8ef000 r-xp 00000000 08:07 6394       /lib/libgthread-2.0.so.0.2800.8
:4f8ef000-4f8f0000 rw-p 00003000 08:07 6394       /lib/libgthread-2.0.so.0.2800.8
:4f8f2000-4f93e000 r-xp 00000000 08:07 6395       /lib/libgobject-2.0.so.0.2800.8
:4f93e000-4f940000 rw-p 0004b000 08:07 6395       /lib/libgobject-2.0.so.0.2800.8
:4fa65000-4faac000 r-xp 00000000 08:07 12528      /lib/libdbus-1.so.3.5.4
:4faac000-4faad000 ---p 00047000 08:07 12528      /lib/libdbus-1.so.3.5.4
:4faad000-4faae000 r--p 00047000 08:07 12528      /lib/libdbus-1.so.3.5.4
:4faae000-4faaf000 rw-p 00048000 08:07 12528      /lib/libdbus-1.so.3.5.4
:4fab1000-4fad7000 r-xp 00000000 08:07 15584      /lib/libexpat.so.1.5.2
:4fad7000-4fad9000 rw-p 00026000 08:07 15584      /lib/libexpat.so.1.5.2
:4fc16000-4fc5a000 r-xp 00000000 08:07 147971     /usr/lib/libibus-1.0.so.0.400.0
:4fc5a000-4fc5b000 rw-p 00044000 08:07 147971     /usr/lib/libibus-1.0.so.0.400.0
:4fc5b000-4fc5c000 rw-p 00000000 00:00 0 
:b6c00000-b6c21000 rw-p 00000000 00:00 0 
:b6c21000-b6d00000 ---p 00000000 00:00 0 
:b6d39000-b6d3a000 ---p 00000000 00:00 0 
:b6d3a000-b753a000 rw-p 00000000 00:00 0 
:b753a000-b773a000 r--p 00000000 08:07 163516     /usr/lib/locale/locale-archive
:b773a000-b773e000 rw-p 00000000 00:00 0 
:b775b000-b775c000 rw-p 00000000 00:00 0 
:bfc4c000-bfc6d000 rw-p 00000000 00:00 0          [stack]
Comment 1 fujiwara 2011-10-26 21:17:04 EDT
(In reply to comment #0)
> :Thread 1 (Thread 0xb773a930 (LWP 2156)):
> :#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
> :No locals.
> :#1  0x4f4300ef in raise () from /lib/libc.so.6
> :No symbol table info available.
> :#2  0x4f431a25 in abort () from /lib/libc.so.6
> :No symbol table info available.
> :#3  0x4f6a869f in g_assertion_message (domain=0x4f6f1406 "GLib",
> file=0x4f738d10 "gvarianttypeinfo.c", line=186, func=0x4f738f70
> "g_variant_type_info_check", message=<optimized out>) at gtestutils.c:1358
> :        lstr =
> "186\000w\224hOV\033jO(\223uO\254\034jO\323\215\221\t\333\246oO\000\000\000"
> :        s = 0x9902ad8
> "\020\244XO\020\244XOOR:gvarianttypeinfo.c:186:g_variant_type_info_check:
> assertion failed: (0 <= index && index < 24)"
> :#4  0x4f6a8c30 in g_assertion_message_expr (domain=0x4f6f1406 "GLib",
> file=0x4f738d10 "gvarianttypeinfo.c", line=186, func=0x4f738f70
> "g_variant_type_info_check", expr=0x4f738d23 "0 <= index && index < 24") at
> gtestutils.c:1369
> :        s = <optimized out>

I cannot reproduce the failure of "0 <= index && index < 24".
Are you still reproduce the same error?

> :$1 = 0x0
> :$2 = 0x9902b78 "GLib:ERROR:gvarianttypeinfo.c:186:g_variant_type_info_check:
> assertion failed: (0 <= index && index < 24)"

> comment:
> :just enter on gnome shell
> :i can't enter on gnome shell desktop
> :i can't enter on virtualbox 

Which application did you use on gnome-shell desktop?
Do you mean to disable gnome-shell on virtualbox?
If you use gnome-shell on virtualbox, the specific verion needs to be installed and also VBoxGuestAdditions needs to be installed.
At the moment, I'd suggest to disable gnome-shell if you use the VM.
If you install compiz-gnome, Classic GNOME is shown on GDM login prompt.
Comment 2 fujiwara 2011-11-14 21:05:54 EST
mamii:

Are you still able to reproduce your problem?

Note You need to log in before you can comment on or make changes to this bug.